> For the complete documentation index, see [llms.txt](https://docs.xpayconnect.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xpayconnect.io/documentation/eng/reference/bank-standards.md).

# Bank Mappings

Bank names appear in various spellings ("Т-Банк", "Tinkoff", "ТИНЬКОФФ", etc.). This endpoint returns the full list of **standard names** — the single format to which the API normalizes all variants.

> Method: **GET**
>
> Path: **/merchant/bank-standards**

{% hint style="info" %}
This endpoint is **public** — no API key required.
{% endhint %}

#### Request Example

{% tabs %}
{% tab title="cURL" %}

```bash
curl https://api.xpayconnect.io/merchant/bank-standards
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

const { data } = await axios.get('https://api.xpayconnect.io/merchant/bank-standards');
console.log(data.count, data.data);
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get('https://api.xpayconnect.io/merchant/bank-standards').json()
print(data['count'], data['data'])
```

{% endtab %}
{% endtabs %}

#### Response

```json
{
  "success": true,
  "count": 332,
  "data": [
    { "id": 1, "name": "Ак Барс Банк" },
    { "id": 2, "name": "Альфа-Банк" },
    { "id": 3, "name": "ВТБ" },
    { "id": 4, "name": "Газпромбанк" }
  ]
}
```

| Field         | Type    | Description                     |
| ------------- | ------- | ------------------------------- |
| `success`     | boolean | Indicates a successful response |
| `count`       | number  | Number of standards             |
| `data[].id`   | number  | Standard identifier             |
| `data[].name` | string  | Standard bank name              |
